SapccApiReplaceOrgCartDeliveryAddressRequest
Request parameters for replaceOrgCartDeliveryAddress operation in SapccApi. SapccApiReplaceOrgCartDeliveryAddressRequest
interface SapccApiReplaceOrgCartDeliveryAddressRequest {
readonly addressId: string;
readonly baseSiteId: string;
readonly cartId: string;
readonly fields?: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
addressId | Required | string | The id of the address. {string} SapccApiReplaceOrgCartDeliveryAddress |
baseSiteId | Required | string | Base site identifier. {string} SapccApiReplaceOrgCartDeliveryAddress |
cartId | Required | string | Cart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiReplaceOrgCartDeliveryAddress |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiReplaceOrgCartDeliveryAddress |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiReplaceOrgCartDeliveryAddress |